package example_chained;

public class ChainedTester1 {

	public static void main(String[] args) {
		try {
			A a = new A();
		    a.m1();  
		}
		catch( Exception e ) {
			System.out.println( e + "\n" + e.getCause() + "\n" );
		}
	}
}

class A {
	public void m1() throws Exception {
		try {
			B b = new B();
			b.m2();
		}
		catch (Exception e) {
			throw new Exception("A.m1() caused an exception", e);
		}  
	}
}

class B {
	public void m2() throws Exception {
		throw new Exception("B.m2() caused an exception");
	}
}
