package example_circle_throws_exception;

public class CircleTest {

	public static void main(String[] args) {
		gracefulTermination();
		abnormalTermination();	
	}
	
	private static void gracefulTermination() {
		System.out.println("-->gracefulTermination()");
		Circle c;
		try {
			
			c = new Circle(-5.5);
		}
		catch(IllegalArgumentException e) {
			System.out.println(e);
			System.out.println("getMessage()=\n   " + e.getMessage());
			System.out.println("toString()=\n   " + e.toString());
			System.out.println("printStackTrace()\n  ");
			e.printStackTrace();
		}
	}

	private static void abnormalTermination() {
		System.out.println("\n-->abnormalTermination()");
		Circle c = new Circle(-5.5);
	}
}
