package example_multiple_catch;

public class MultipleCatchExample {

	public static void main(String[] args) {

		A a = new A( null ); // Null pointer exception

		try {
			a.divide(1,2);
		}

//		A a = new A( new int[] {2,4,0,6} );
//
//		try {
//			//a.divide(1,2);
//			//a.divide(4,2);
//			a.divide(3,1);
//		}
		catch ( IndexOutOfBoundsException e ) {
			System.out.println( "Caught   IndexOutOfBoundsException: " + e );
		}
		catch ( ArithmeticException e ) {
			System.out.println( "Caught ArithmeticException: " + e );
		}
		catch ( RuntimeException e ) {
			System.out.println( "Caught RuntimeException: " + e );
		}
		catch ( Exception e ) {
			System.out.println( "Caught Exception: " + e );
		}
	}

}

class A {
	int[] vals;

	public A(int[] vals) {
		this.vals = vals;
	}
	public int divide( int x, int y ) {
		return vals[x]/vals[y];
	}
}

