package exercise_account;

public class Account {
	private double balance;
	private String name;

	public Account(double balance, String name) {
		this.balance = balance;
		this.name = name;
	}

	public void mergeAccount(Account a) {
		if(!this.name.equals(a.name)) {
			throw new IllegalArgumentException("Account names not the same");
		}
		this.balance += a.balance;
	}

	public static void main(String[] args) {
		Account a1 = new Account(500.0, "Dave");
		Account a2 = new Account(1000.0, "Waldo");

		try {
			a1.mergeAccount(a2);
		}
		catch(IllegalArgumentException e) {
			System.out.println(e);
		}


	}
}
