package exercise_blob_custom_exception;

public class Blob {
	private int power;
	private int health;

	public Blob(int power, int health) {
		this.power = power;
		this.health = health;
	}

	public int getPower() {
		return power;
	}

	public int getHealth() {
		return health;
	}

	public void merge(Blob blob) {
		if(this.power != blob.power) {
			throw new BlobMergeException("Blobs don't have same power-can't merge",
					this.power, blob.power);
		}
		this.health += blob.health;
	}

	public String toString(){
		return String.format("power=%d, health=%d", power, health);
	}

	public static void main(String[] args) {
		Blob b1 = new Blob(5,10);
		Blob b2 = new Blob(4,8);
		try {
			b1.merge(b2);
		}
		catch(BlobMergeException e) {
			System.out.println(e);
			System.out.println("Power blob 1: " + e.getPower1());
			System.out.println("Power blob 2: " + e.getPower2() + "\n");
		}
	
		System.out.println(b1);
	}
}

