package example_first_examples;

import java.util.Arrays;

public class ExceptionInMethod2 {
	public static void main(String[] args) {
		int x=0;
		try {
			System.out.println( inverse(x));
		}
		catch(ArithmeticException e) {
			String msg = "Exception caught";
			String fmt = "%19s: %s\n";
			msg = String.format(fmt, "e.getCause()", e.getCause());
			msg += String.format(fmt, "e.getMessage()", e.getMessage());
			msg += String.format(fmt, "e.toString()", e.toString());
			msg += String.format(fmt, "e.getStackTrace()", "");
			StackTraceElement[] stackTrace = e.getStackTrace();
			for(StackTraceElement element : stackTrace) {
				msg += String.format(fmt, "", element);
			}
			msg += String.format(fmt, "e.printStackTrace()", "");
			System.out.println(msg);
			e.printStackTrace();
		}
		System.out.println("all done!");
	}

	public static int inverse( int x) {
		return 1/x;
	}
}

/*try {
	// code that may fail
}
catch(Exception e) {
	// Code to recover from failure
}
*/