package exercise_roo;

public class Roo_Problem {
	public static void main(String[] args) {
		int vals[] = new int[5];
		vals[0]=2; vals[1]=6; vals[2]=8;
		Roo roo = new Roo();
		try{
			int sum = roo.sum(vals, 7);
			System.out.println(sum);
		}
		catch(RuntimeException e) {
			System.out.println(e);
			System.out.println(e.getCause());
		}
	}
}

class Roo {
	public int sum(int[] vals, int numVals) {
		int sum = 0;
		try{
			for(int i=0; i<numVals; i++) {
				sum += vals[i];
			}
			return sum;
		}
		catch(RuntimeException e) {
			throw new RuntimeException("numVals to big or too small", e);
		}
	}
}

